Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4049 - Floppy won't work on sparc voyager w/Redhat 6.0 *fixed*
Summary: Floppy won't work on sparc voyager w/Redhat 6.0 *fixed*
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mount
Version: 6.0
Hardware: sparc
OS: Linux
high
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-15 09:18 UTC by micklang
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-30 21:00:06 UTC


Attachments (Terms of Use)

Description micklang 1999-07-15 09:18:00 UTC
Have reloaded 6.0 (twice) on Sparc Voyager (5 internals) and
everything works except the floppy.  When attempting to
mount, the error "/dev/fd0 not a valid block device"
appears.  I've deleted the device and recreated with MAKEDEV
with no good results.  I noticed that msdos.o is not loaded
in the kernel (via insmod) and comes up with strage errors
when loaded manually (don't know if required).

I will try to load a newer kernel, egcs & gcc (X crashes now
and again) to see if that fixes the problem.  Any
suggestions?

Appreciate heavily

Comment 1 micklang 1999-07-16 07:36:59 UTC
***********************************
*       Fixed!  Thanks Mark!      *
***********************************

Phiber@crossbar.com

Mark sent me the fix below:

I've found the source of the problem, and resolved it.
It's one of two things, involving the Disk Change Line:
either the DCL isn't used in the Voyager,
or the linux driver doesn't detect it properly.

In either case it doesn't matter, because you can pass the option
"floppy=broken_dcl" to the kernel from silo, after which the floppy
drive
seems to work rather nicely!
Rather than having to type that every time, obviously you can add it
to
your /etc/silo.conf as

append="floppy=broken_dcl"

in your linux label section.

This should be in the FAQ!

Cheers,


Note You need to log in before you can comment on or make changes to this bug.